6.0.0-git
2021-01-18

[#10640] Switch off 'Forgot your password' on login page
Summary Switch off 'Forgot your password' on login page
Queue Horde Base
Queue Version 4.0.10
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester piper (at) hrz (dot) uni-marburg (dot) de
Created 2011-10-12 (3386 days ago)
Due 10/12/2011 (3386 days ago)
Updated 2012-10-16 (3016 days ago)
Assigned
Resolved 2012-10-16 (3016 days ago)
Milestone 4.0.12
Patch Yes

History
2012-10-16 10:52:56 Jan Schneider State ⇒ Resolved
 
2011-11-02 17:58:50 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

[jan] Add configuration option to disable password resets (Request #10640).

  5 files changed, 9 insertions(+), 5 deletions(-)
http://git.horde.org/horde-git/-/commit/9cfd71bf05b14b3201158bb31481ad59586bbad9
2011-11-02 17:58:26 Jan Schneider Assigned to Jan Schneider
Milestone ⇒ 4.0.12
 
2011-10-13 05:42:49 piper (at) hrz (dot) uni-marburg (dot) de Comment #3
New Attachment: switch_resetpasswd_v2.patch Download
Reply to this comment
This should not be configured per authentication backend but a 
global switch instead, like you can already turn the signup feature 
on and off.
Fine with me, find changed patch attached.
Andreas
2011-10-12 17:06:49 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
This should not be configured per authentication backend but a global 
switch instead, like you can already turn the signup feature on and off.
2011-10-12 14:43:55 piper (at) hrz (dot) uni-marburg (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Switch off 'Forgot your password' on login page
Due ⇒ 2011-10-12
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ Yes
New Attachment: switch_resetpasswd.patch Download
Reply to this comment
Some of the offered authentication mechanisms (LDAP, SQL,...) imply a 
resetpassword-method. As this may not be available in the 
authenticating backend, I have added a configuration-switch for 
switching on and off the presentation of the 'Forgot your 
password?'-Link on the Horde-login page. See attached patch.

Andreas

Saved Queries